<%@ Page Language="C#" AutoEventWireup="true" CodeFile="TogglingDataSource.aspx.cs"  Inherits="ToggleDataSource" %>
<%@ Register Assembly="Syncfusion.Shared.Web, Version=6.102.0.34, Culture=neutral, PublicKeyToken=3d67ed1f87d44c89" Namespace="Syncfusion.Web.UI.WebControls.Shared"  TagPrefix="ssw" %>
<%@ Register Assembly="Syncfusion.Shared.Base, Version=6.102.0.34, Culture=neutral, PublicKeyToken=3d67ed1f87d44c89" Namespace="Syncfusion.Styles" TagPrefix="cc1" %>
<%@ Register Assembly="Syncfusion.Grid.Windows, Version=6.102.0.34, Culture=neutral, PublicKeyToken=3d67ed1f87d44c89" Namespace="Syncfusion.Windows.Forms.Grid"  TagPrefix="cc2" %>
<%@ Register Assembly="Syncfusion.Grouping.Base, Version=6.102.0.34, Culture=neutral, PublicKeyToken=3d67ed1f87d44c89" Namespace="Syncfusion.Grouping"   TagPrefix="cc3" %>
<%@ Register Assembly="Syncfusion.Grid.Grouping.Web, Version=6.102.0.34, Culture=neutral, PublicKeyToken=3d67ed1f87d44c89" Namespace="Syncfusion.Web.UI.WebControls.Grid.Grouping"  TagPrefix="sfwg" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
  <title>Essential Grid Toggling DataSource with FilterBar Sample.</title>

  <script type="text/javascript">
       function getSelectedIndex() 
       {  
             // Here we want to send a callback to the CallbackPanel1 with some argument. 
             // The server can update the panel contents and let it be refreshed. 
             // See CallbackPanel1_CallbackRefresh event) for more info
             //Note:if you happen to use the callbackpanel control within a UserControl or a MasterPage then         
             //the client object instance name will be scoped by the UserControl instance's id 
             // In this sample if the UserControls id is "WebUserControl1", then the callbackpanels client instance can be invoked as "__sfWebUserControl1_CallbackPanel1.callback(param);"
             
                     __sfCallbackPanel1.callback(null);
       }
             
  </script>

</head>
<body>
  <form id="form1" runat="server">
    <div id="DIV1">
      <h4>
        Essential Grid Toggling DataSource Sample.
      </h4>
      <hr width="100%" size="1">
      <table id="Table1" cellspacing="1" cellpadding="1" width="320" border="0" style="width: 320px;
        height: 26px">
        <tr>
          <td>
            <asp:Label ID="Label1" runat="server" Text="Select Datasource"></asp:Label></td>
          <td>
            <asp:DropDownList ID="DatasourceList" runat="server" Width="187px" OnSelectedIndexChanged="DatasourceList_SelectedIndexChanged">
              <asp:ListItem Value="EmployeesDetails"></asp:ListItem>
              <asp:ListItem Value="CustomersDetails"></asp:ListItem>
            </asp:DropDownList>
          </td>
        </tr>
      </table>
      <br />
      <h4>
        <ssw:CallbackPanel ID="CallbackPanel1" runat="server" OnCallbackRefresh="CallbackPanel1_CallbackRefresh">
          <sfwg:GridGroupingControl ID="GridGroupingControl1" runat="server" EnableCallbacks="True"
            EnablePostbacks="true" OnDataSourceControlRowAdding="GridGroupingControl1_DataSourceControlRowAdding"
            OnDataSourceControlRowDeleting="GridGroupingControl1_DataSourceControlRowDeleting"
            OnDataSourceControlRowUpdating="GridGroupingControl1_DataSourceControlRowUpdating"
            DataMember="DefaultView" DataSourceID="EmployeesDetails">
            <appearance>
              <AnyRecordFieldCell Interior="Solid; 204, 212, 230"></AnyRecordFieldCell>
              <AlternateRecordFieldCell Interior="Solid; 252, 172, 38"></AlternateRecordFieldCell>
            </appearance>
          </sfwg:GridGroupingControl>
        </ssw:CallbackPanel>
      </h4>
      Note: Changes made in the grid are not persisted in the database.
      <h4>
        <asp:AccessDataSource ID="EmployeesDetails" runat="server" SelectCommand="SELECT [EmployeeID], [LastName], [FirstName], [City], [Country], [Extension], [HomePhone] FROM [Employees]">
        </asp:AccessDataSource>
        <asp:AccessDataSource ID="CustomersDetails" runat="server" SelectCommand="SELECT [CustomerID], [CompanyName], [ContactName], [City], [Country], [Phone] FROM [Customers]">
        </asp:AccessDataSource>
     </h4>
    </div>
   </form>
</body>
</html>
